/* eslint-disable */
const config = require('../utils/config')

const { api } = config

let resources = {
  action: true,
  data: [
    {
      status: 'Unmanaged',
      colocation: {
        same_node: [
          {
            with_rsc: 'ms-drbd',
            rsc: 'group-fs-ps',
          },
        ],
        same_node_num: 1,
        diff_node: [

        ],
        diff_node_num: 0,
      },
      running_node: [
        'ns187',
      ],
      type: 'group',
      order: {
        before_rscs: [
          {
            id: 'ms-drbd',
          },
        ],
        before_rscs_num: 1,
        after_rscs: [

        ],
        after_rscs_num: 0,
      },
      location: [

      ],
      allow_unmigrate: false,
      subrscs: [
        {
          status: 'Running',
          running_node: [
            'ns187',
          ],
          type: 'primitive',
          svc: 'Filesystem',
          status_message: '',
          id: 'fs-ps',
        },
      ],
      status_message: '',
      id: 'group-fs-ps',
    },
    {
      status: 'Running',
      colocation: {
        same_node: [

        ],
        same_node_num: 0,
        diff_node: [

        ],
        diff_node_num: 0,
      },
      running_node: [
        'ns188',
      ],
      type: 'primitive',
      svc: 'Dummy',
      order: {
        before_rscs: [

        ],
        before_rscs_num: 0,
        after_rscs: [

        ],
        after_rscs_num: 0,
      },
      location: [

      ],
      allow_unmigrate: false,
      status_message: '',
      id: 'mydummy2',
    },
    {
      status: 'Running',
      colocation: {
        same_node: [

        ],
        same_node_num: 0,
        diff_node: [

        ],
        diff_node_num: 0,
      },
      running_node: [
        'ns188',
      ],
      type: 'group',
      order: {
        before_rscs: [

        ],
        before_rscs_num: 0,
        after_rscs: [

        ],
        after_rscs_num: 0,
      },
      location: [

      ],
      allow_unmigrate: false,
      subrscs: [
        {
          status: 'Running',
          running_node: [
            'ns188',
          ],
          type: 'primitive',
          svc: 'mysql',
          status_message: '',
          id: 'mysql',
        },
      ],
      status_message: '',
      id: 'mysql-group',
    },
    {
      status: 'Not Running',
      colocation: {
        same_node: [

        ],
        same_node_num: 0,
        diff_node: [

        ],
        diff_node_num: 0,
      },
      running_node: [

      ],
      type: 'primitive',
      svc: 'CTDB',
      order: {
        before_rscs: [

        ],
        before_rscs_num: 0,
        after_rscs: [

        ],
        after_rscs_num: 0,
      },
      location: [

      ],
      allow_unmigrate: false,
      status_message: "* test2_start_0 on ns187 'not installed' (5): call=70, status=complete, exitreason='Setup problem: couldn't find command: /usr/bin/tdbdump', * test2_start_0 on ns188 'not installed' (5): call=953, status=complete, exitreason='Setup problem: couldn't find command: /usr/bin/tdbdump',",
      id: 'test2',
    },
    {
      status: 'Not Running',
      colocation: {
        same_node: [

        ],
        same_node_num: 0,
        diff_node: [

        ],
        diff_node_num: 0,
      },
      running_node: [

      ],
      type: 'group',
      order: {
        before_rscs: [

        ],
        before_rscs_num: 0,
        after_rscs: [

        ],
        after_rscs_num: 0,
      },
      location: [

      ],
      allow_unmigrate: false,
      subrscs: [
        {
          status: 'Not Running',
          running_node: [

          ],
          type: 'primitive',
          svc: 'CTDB',
          status_message: '',
          id: 'test1',
        },
        {
          status: 'Not Running',
          running_node: [

          ],
          type: 'primitive',
          svc: 'Filesystem',
          status_message: '',
          id: 'iscisi',
        },
      ],
      status_message: '',
      id: 'group1',
    },
    {
      status: 'Running',
      colocation: {
        same_node: [
          {
            with_rsc: 'ms-drbd',
            rsc: 'group-fs-ps',
          },
        ],
        same_node_num: 1,
        diff_node: [

        ],
        diff_node_num: 0,
      },
      running_node: [
        'ns187',
        'ns188',
      ],
      type: 'master',
      order: {
        before_rscs: [

        ],
        before_rscs_num: 0,
        after_rscs: [
          {
            id: 'group-fs-ps',
          },
        ],
        after_rscs_num: 1,
      },
      location: [
        {
          node: 'ns187',
          level: 'Master Node',
        },
        {
          node: 'ns188',
          level: 'Slave 1',
        },
      ],
      allow_unmigrate: false,
      subrscs: [
        {
          status: 'Running',
          running_node: [
            'ns187',
          ],
          type: 'primitive',
          svc: 'drbd',
          status_message: '',
          id: 'drbd-ps:0',
        },
        {
          status: 'Running',
          running_node: [
            'ns188',
          ],
          type: 'primitive',
          svc: 'drbd',
          status_message: '',
          id: 'drbd-ps:1',
        },
      ],
      status_message: '',
      id: 'ms-drbd',
    },
    {
      status: 'Running',
      colocation: {
        same_node: [

        ],
        same_node_num: 0,
        diff_node: [

        ],
        diff_node_num: 0,
      },
      running_node: [
        'ns188',
      ],
      type: 'primitive',
      svc: 'Dummy',
      order: {
        before_rscs: [

        ],
        before_rscs_num: 0,
        after_rscs: [

        ],
        after_rscs_num: 0,
      },
      location: [

      ],
      allow_unmigrate: true,
      status_message: '',
      id: 'mydummy1',
    },
    {
      status: 'Not Running',
      colocation: {
        same_node: [

        ],
        same_node_num: 0,
        diff_node: [

        ],
        diff_node_num: 0,
      },
      running_node: [

      ],
      type: 'primitive',
      svc: 'CTDB',
      order: {
        before_rscs: [

        ],
        before_rscs_num: 0,
        after_rscs: [

        ],
        after_rscs_num: 0,
      },
      location: [

      ],
      allow_unmigrate: false,
      status_message: '',
      id: 'y1',
    },
    {
      status: 'Running',
      colocation: {
        same_node: [

        ],
        same_node_num: 0,
        diff_node: [

        ],
        diff_node_num: 0,
      },
      running_node: [
        'ns187',
        'ns188',
      ],
      type: 'clone',
      order: {
        before_rscs: [

        ],
        before_rscs_num: 0,
        after_rscs: [

        ],
        after_rscs_num: 0,
      },
      location: [

      ],
      allow_unmigrate: false,
      subrscs: [
        {
          status: 'Running',
          running_node: [
            'ns187',
          ],
          type: 'primitive',
          svc: 'IPaddr_6',
          status_message: '',
          id: 'ip1:0',
        },
        {
          status: 'Running',
          running_node: [
            'ns188',
          ],
          type: 'primitive',
          svc: 'IPaddr_6',
          status_message: '',
          id: 'ip1:1',
        },
      ],
      status_message: '',
      id: 'clone1',
    },
    {
      status: 'Not Running',
      colocation: {
        same_node: [

        ],
        same_node_num: 0,
        diff_node: [

        ],
        diff_node_num: 0,
      },
      running_node: [

      ],
      type: 'primitive',
      svc: 'CTDB',
      order: {
        before_rscs: [

        ],
        before_rscs_num: 0,
        after_rscs: [

        ],
        after_rscs_num: 0,
      },
      location: [

      ],
      allow_unmigrate: false,
      status_message: '',
      id: 'y2',
    },
    {
      status: 'Running',
      colocation: {
        same_node: [

        ],
        same_node_num: 0,
        diff_node: [

        ],
        diff_node_num: 0,
      },
      running_node: [
        'ns188',
      ],
      type: 'group',
      order: {
        before_rscs: [

        ],
        before_rscs_num: 0,
        after_rscs: [

        ],
        after_rscs_num: 0,
      },
      location: [

      ],
      allow_unmigrate: true,
      subrscs: [
        {
          status: 'Running',
          running_node: [
            'ns188',
          ],
          type: 'primitive',
          svc: 'Dummy',
          status_message: '',
          id: 'dummy4',
        },
      ],
      status_message: '',
      id: 'dummy_group1',
    },
  ],
}

let resource_p = {
  action: true,
  data: {
    category: 'primitive',
    meta_attributes: {
      'resource-stickiness': '104',
    },
    instance_attributes: {
      device: '/dev/sda1',
      directory: '/var/lib/mysql',
      fstype: 'ext4',
      run_fsck: 'fsck',
      fast_stop: true,
    },
    actions: [
      {
        interval: '103',
        timeout: '61',
        name: 'start',
        role: 'master',
      },
      {
        interval: '23',
        timeout: '41',
        name: 'monitor',
      },
    ],
    id: 'iscisi',
    provider: 'heartbeat',
    type: 'Filesystem',
    class: 'ocf',
  },
}

let resource_g = {
  action: true,
  data: {
    category: 'group',
    rscs: [
      'iscisi',
      'test1',
    ],
    id: 'group1',
    meta_attributes: {
      'target-role': 'Stopped',
    },
  },
}

let resource_c = {
  action: true,
  data: {
    category: 'clone',
    rsc_id: 'ip1',
    id: 'clone1',
    meta_attributes: {
      'target-role': 'Started',
    },
  },
}

let rscTypes = { action: true, data: { stonith: ['apcmaster', 'apcmastersnmp', 'apcsmart', 'baytech', 'bladehpi', 'cyclades', 'fence_apc', 'fence_apc_snmp', 'fence_bladecenter', 'fence_brocade', 'fence_cisco_mds', 'fence_cisco_ucs', 'fence_compute', 'fence_drac5', 'fence_eaton_snmp', 'fence_emerson', 'fence_eps', 'fence_hpblade', 'fence_ibmblade', 'fence_idrac', 'fence_ifmib', 'fence_ilo', 'fence_ilo2', 'fence_ilo3', 'fence_ilo3_ssh', 'fence_ilo4', 'fence_ilo4_ssh', 'fence_ilo_moonshot', 'fence_ilo_mp', 'fence_ilo_ssh', 'fence_imm', 'fence_intelmodular', 'fence_ipdu', 'fence_ipmilan', 'fence_kdump', 'fence_mpath', 'fence_rhevm', 'fence_rsa', 'fence_rsb', 'fence_sbd', 'fence_scsi', 'fence_virsh', 'fence_virt', 'fence_vmware_soap', 'fence_wti', 'fence_xvm', 'ibmhmc', 'ipmilan', 'meatware', 'nw_rpc100s', 'rcd_serial', 'rps10', 'suicide', 'wti_mpc', 'wti_nps'], systemd: ['ModemManager', 'NetworkManager', 'NetworkManager-wait-online', 'abrt-ccpp', 'abrt-oops', 'abrt-vmcore', 'abrt-xorg', 'abrtd', 'accounts-daemon', 'alsa-restore', 'alsa-state', 'alsa-store', 'apparmor', 'atd', 'auditd', 'auth-rpcgss-module', 'avahi-daemon', 'blk-availability', 'brandbot', 'chronyd', 'cobra', 'colord', 'corosync', 'cpupower', 'crond', 'cups', 'dbus', 'dm-event', 'dmraid-activation', 'dracut-shutdown', 'emergency', 'exim', 'fcoe', 'gdm', 'getty@tty1', 'gssproxy', 'ha-api', 'hypervfcopyd', 'hypervkvpd', 'hypervvssd', 'icinga', 'ido2db', 'ip6tables', 'iptables', 'irqbalance', 'iscsi', 'iscsi-shutdown', 'iscsid', 'iscsiuio', 'kdump', 'kmod-static-nodes', 'ksm', 'ksmtuned', 'ldconfig', 'libstoragemgmt', 'libvirt-guests', 'libvirtd', 'livesys', 'lldpad', 'lvm2-activation', 'lvm2-activation-early', 'lvm2-lvmetad', 'lvm2-lvmpolld', 'lvm2-monitor', 'lvm2-pvscan@252:2', 'mdmonitor', 'microcode', 'multipathd', 'mysql', 'neokylinhautils', 'network', 'nfs-config', 'nfs-idmapd', 'nfs-mountd', 'nfs-server', 'nfs-utils', 'nkucsd', 'nrpe', 'ntpd', 'ntpdate', 'pacemaker', 'pacemaker-mgmt', 'packagekit', 'plymouth-quit', 'plymouth-quit-wait', 'plymouth-read-write', 'plymouth-start', 'polkit', 'postfix', 'postgresql', 'qemu-guest-agent', 'rc-local', 'rescue', 'rhel-autorelabel', 'rhel-autorelabel-mark', 'rhel-configure', 'rhel-dmesg', 'rhel-import-state', 'rhel-loadmodules', 'rhel-readonly', 'rngd', 'rpc-gssd', 'rpc-statd', 'rpc-statd-notify', 'rpc-svcgssd', 'rpcbind', 'rsyslog', 'rtkit-daemon', 'sendmail', 'sm-client', 'smartd', 'sntp', 'spice-vdagentd', 'sshd', 'sshd-keygen', 'syslog', 'sysstat', 'systemcenter', 'systemd-ask-password-console', 'systemd-ask-password-plymouth', 'systemd-ask-password-wall', 'systemd-binfmt', 'systemd-firstboot', 'systemd-fsck-root', 'systemd-hwdb-update', 'systemd-initctl', 'systemd-journal-catalog-update', 'systemd-journal-flush', 'systemd-journald', 'systemd-logind', 'systemd-machine-id-commit', 'systemd-modules-load', 'systemd-random-seed', 'systemd-random-seed-load', 'systemd-readahead-collect', 'systemd-readahead-done', 'systemd-readahead-replay', 'systemd-reboot', 'systemd-remount-fs', 'systemd-shutdownd', 'systemd-sysctl', 'systemd-sysusers', 'systemd-tmpfiles-clean', 'systemd-tmpfiles-setup', 'systemd-tmpfiles-setup-dev', 'systemd-udev-settle', 'systemd-udev-trigger', 'systemd-udevd', 'systemd-update-done', 'systemd-update-utmp', 'systemd-update-utmp-runlevel', 'systemd-user-sessions', 'systemd-vconsole-setup', 'tuned', 'udisks2', 'unbound-anchor', 'upower', 'vmtoolsd', 'wpa_supplicant', 'ypbind'], lsb: ['CobraApi', 'cobra', 'cobrastatus', 'ha-api', 'icinga', 'ido2db', 'netconsole', 'network', 'nkucsd', 'npcd', 'nrpe'], service: ['CobraApi', 'ModemManager', 'NetworkManager', 'NetworkManager-wait-online', 'abrt-ccpp', 'abrt-oops', 'abrt-vmcore', 'abrt-xorg', 'abrtd', 'accounts-daemon', 'alsa-restore', 'alsa-state', 'alsa-store', 'apparmor', 'atd', 'auditd', 'auth-rpcgss-module', 'avahi-daemon', 'blk-availability', 'brandbot', 'chronyd', 'cobra', 'cobrastatus', 'colord', 'corosync', 'cpupower', 'crond', 'cups', 'dbus', 'dm-event', 'dmraid-activation', 'dracut-shutdown', 'emergency', 'exim', 'fcoe', 'gdm', 'getty@tty1', 'gssproxy', 'ha-api', 'hypervfcopyd', 'hypervkvpd', 'hypervvssd', 'icinga', 'ido2db', 'ip6tables', 'iptables', 'irqbalance', 'iscsi', 'iscsi-shutdown', 'iscsid', 'iscsiuio', 'kdump', 'kmod-static-nodes', 'ksm', 'ksmtuned', 'ldconfig', 'libstoragemgmt', 'libvirt-guests', 'libvirtd', 'livesys', 'lldpad', 'lvm2-activation', 'lvm2-activation-early', 'lvm2-lvmetad', 'lvm2-lvmpolld', 'lvm2-monitor', 'lvm2-pvscan@252:2', 'mdmonitor', 'microcode', 'multipathd', 'mysql', 'neokylinhautils', 'netconsole', 'network', 'nfs-config', 'nfs-idmapd', 'nfs-mountd', 'nfs-server', 'nfs-utils', 'nkucsd', 'npcd', 'nrpe', 'ntpd', 'ntpdate', 'pacemaker', 'pacemaker-mgmt', 'packagekit', 'plymouth-quit', 'plymouth-quit-wait', 'plymouth-read-write', 'plymouth-start', 'polkit', 'postfix', 'postgresql', 'qemu-guest-agent', 'rc-local', 'rescue', 'rhel-autorelabel', 'rhel-autorelabel-mark', 'rhel-configure', 'rhel-dmesg', 'rhel-import-state', 'rhel-loadmodules', 'rhel-readonly', 'rngd', 'rpc-gssd', 'rpc-statd', 'rpc-statd-notify', 'rpc-svcgssd', 'rpcbind', 'rsyslog', 'rtkit-daemon', 'sendmail', 'sm-client', 'smartd', 'sntp', 'spice-vdagentd', 'sshd', 'sshd-keygen', 'syslog', 'sysstat', 'systemcenter', 'systemd-ask-password-console', 'systemd-ask-password-plymouth', 'systemd-ask-password-wall', 'systemd-binfmt', 'systemd-firstboot', 'systemd-fsck-root', 'systemd-hwdb-update', 'systemd-initctl', 'systemd-journal-catalog-update', 'systemd-journal-flush', 'systemd-journald', 'systemd-logind', 'systemd-machine-id-commit', 'systemd-modules-load', 'systemd-random-seed', 'systemd-random-seed-load', 'systemd-readahead-collect', 'systemd-readahead-done', 'systemd-readahead-replay', 'systemd-reboot', 'systemd-remount-fs', 'systemd-shutdownd', 'systemd-sysctl', 'systemd-sysusers', 'systemd-tmpfiles-clean', 'systemd-tmpfiles-setup', 'systemd-tmpfiles-setup-dev', 'systemd-udev-settle', 'systemd-udev-trigger', 'systemd-udevd', 'systemd-update-done', 'systemd-update-utmp', 'systemd-update-utmp-runlevel', 'systemd-user-sessions', 'systemd-vconsole-setup', 'tuned', 'udisks2', 'unbound-anchor', 'upower', 'vmtoolsd', 'wpa_supplicant', 'ypbind'], ocf: { heartbeat: ['CTDB', 'Cpu_Health', 'Delay', 'Disk_Health', 'Filesystem', 'IPaddr', 'IPaddr2', 'IPaddr_6', 'IPsrcaddr', 'IPv6addr', 'LVM', 'MailTo', 'Mem_Health', 'Route', 'SAPDatabase', 'SAPHana', 'SAPHanaTopology', 'SAPInstance', 'SendArp', 'Squid', 'VirtualDomain', 'Xinetd', 'apache', 'clvm', 'conntrackd', 'db2', 'dhcpd', 'docker', 'ethmonitor', 'exportfs', 'galera', 'iSCSILogicalUnit', 'iSCSITarget', 'iface-vlan', 'mysql', 'named', 'nfsnotify', 'nfsserver', 'nginx', 'oracle', 'oralsnr', 'pgsql', 'postfix', 'rabbitmq-cluster', 'redis', 'rsyncd', 'slapd', 'symlink', 'tomcat'], linbit: ['drbd'], pacemaker: ['ClusterMon', 'Dummy', 'HealthCPU', 'HealthSMART', 'Stateful', 'SysInfo', 'SystemHealth', 'controld', 'ping', 'pingd', 'remote'], openstack: ['NovaCompute', 'NovaEvacuate'] } } }

const rscType = { action: true, data: { name: 'Filesystem', parameters: [{ name: 'device', required: '1', value: '', content: { default: '', type: 'string' }, shortdesc: 'block device', unique: '', longdesc: '\nThe name of block device for the filesystem, or -U, -L options for mount, or NFS mount specification.\n' }, { name: 'directory', required: '1', value: '', content: { default: '', type: 'string' }, shortdesc: 'mount point', unique: '', longdesc: '\nThe mount point for the filesystem.\n' }, { name: 'fstype', required: '1', value: '', content: { default: '', type: 'string' }, shortdesc: 'filesystem type', unique: '', longdesc: '\nThe type of filesystem to be mounted.\n' }, { name: 'options', required: '', value: '', content: { default: '', type: 'string' }, shortdesc: 'options', unique: '', longdesc: '\nAny extra options to be given as -o options to mount.\nFor bind mounts, add "bind" here and set fstype to "none".\nWe will do the right thing for options such as "bind,ro".\n' }, { name: 'statusfile_prefix', required: '', value: '.Filesystem_status/', content: { default: '.Filesystem_status/', type: 'string' }, shortdesc: 'status file prefix', unique: '', longdesc: "\nThe prefix to be used for a status file for resource monitoring\nwith depth 20. If you don't specify this parameter, all status\nfiles will be created in a separate directory.\n" }, { name: 'run_fsck', required: '', value: 'auto', content: { default: 'auto', type: 'string' }, shortdesc: 'run_fsck', unique: '', longdesc: '\nSpecify how to decide whether to run fsck or not.\n"auto"  : decide to run fsck depending on the fstype(default)\n"force" : always run fsck regardless of the fstype\n"no"    : do not run fsck ever.\n' }, { name: 'fast_stop', required: '', value: 'yes', content: { default: 'yes', type: 'boolean' }, shortdesc: 'fast stop', unique: '', longdesc: '\nNormally, we expect no users of the filesystem and the stop\noperation to finish quickly. If you cannot control the filesystem\nusers easily and want to prevent the stop action from failing,\nthen set this parameter to "no" and add an appropriate timeout\nfor the stop operation.\n' }, { name: 'force_clones', required: '', value: '', content: { default: '', type: 'boolean' }, shortdesc: 'allow running as a clone, regardless of filesystem type', unique: '', longdesc: '\nThe use of a clone setup for local filesystems is forbidden\nby default. For special setups like glusterfs, cloning a mount\nof a local device with a filesystem like ext4 or xfs independently\non several nodes is a valid use case.\nOnly set this to "true" if you know what you are doing!\n' }, { name: 'force_unmount', required: '', value: 'true', content: { default: 'true', type: 'boolean' }, shortdesc: 'Kill processes before unmount', unique: '', longdesc: "\nThis option allows specifying how to handle processes that are\ncurrently accessing the mount directory.\n\"true\"  : Default value, kill processes accessing mount point\n\"safe\"  : Kill processes accessing mount point using methods that\n          avoid functions that could potentially block during process\n          detection \n\"false\" : Do not kill any processes.\nThe 'safe' option uses shell logic to walk the /procs/ directory\nfor pids using the mount point while the default option uses the\nfuser cli tool. fuser is known to perform operations that can potentially\nblock if unresponsive nfs mounts are in use on the system.\n" }], actions: [{ interval: '0', name: 'start', timeout: '60' }, { interval: '0', name: 'stop', timeout: '60' }, { interval: '0', name: 'notify', timeout: '60' }, { depth: '0', interval: '20', name: 'monitor', timeout: '40' }, { interval: '0', name: 'validate-all', timeout: '5' }, { interval: '0', name: 'meta-data', timeout: '5' }], version: '1.1', shortdesc: 'Manages filesystem mounts', longdesc: "\nResource script for Filesystem. It manages a Filesystem on a\nshared storage medium. \nThe standard monitor operation of depth 0 (also known as probe)\nchecks if the filesystem is mounted. If you want deeper tests,\nset OCF_CHECK_LEVEL to one of the following values:\n10: read first 16 blocks of the device (raw read)\nThis doesn't exercise the filesystem at all, but the device on\nwhich the filesystem lives. This is noop for non-block devices\nsuch as NFS, SMBFS, or bind mounts.\n20: test if a status file can be written and read\nThe status file must be writable by root. This is not always the\ncase with an NFS mount, as NFS exports usually have the\n\"root_squash\" option set. In such a setup, you must either use\nread-only monitoring (depth=10), export with \"no_root_squash\" on\nyour NFS server, or grant world write permissions on the\ndirectory where the status file is to be placed.\n" } }

const rscAttrs = {
  action: true,
  data: {
    'migration-threshold': {
      content: {
        type: 'integer',
      },
      name: 'migration-threshold',
    },
    'allow-migrate': {
      content: {
        type: 'boolean',
      },
      name: 'allow-migrate',
    },
    'failure-timeout': {
      content: {
        type: 'integer',
      },
      name: 'failure-timeout',
    },
    priority: {
      content: {
        type: 'integer',
      },
      name: 'priority',
    },
    'resource-stickiness': {
      content: {
        type: 'integer',
      },
      name: 'resource-stickiness',
    },
    'target-role': {
      content: {
        default: 'Stopped',
        type: 'enum',
        values: [
          'Stopped',
          'Started',
        ],
      },
      name: 'target-role',
    },
    'multiple-active': {
      content: {
        type: 'enum',
        values: [
          'stop_start',
          'stop_only',
          'block',
        ],
      },
      name: 'multiple-active',
    },
    'is-managed': {
      content: {
        type: 'boolean',
      },
      name: 'is-managed',
    },
  },
}
const rscLocation = {
  action: true,
  data: {
    node_level: [
      {
        node: 'ns177',
        level: 'Master Node',
      },
      {
        node: 'ns178',
        level: 'Slave 1',
      },
    ],
    rsc_id: 'dummyx',
  },
}
const rscColocation = {
  action: true,
  data: {
    same_node: [

    ],
    rsc_id: 'dummyx',
    diff_node: [
      'group1',
    ],
  },
}
const rscOrder = {
  action: true,
  data: {
    before_rscs: [

    ],
    rsc_id: 'dummyx',
    after_rscs: [
      'group1',
    ],
  },
}
const drbdStatus = {
  action: true,
  data: {
    code: '1',
    message: '实时镜像存储发生故障，请联系技术支持!',
  },
  error: 'error'
}

module.exports = {
  [`GET ${api.resources}`] (req, res) {
    res.status(200).json(resources)
  },
  [`GET ${api.resource}`] (req, res) {
    const { category } = req.query
    if (category === 'group') {
      res.status(200).json(resource_g)
    } else if (category === 'clone') {
      res.status(200).json(resource_c)
    } else { // primitive
      res.status(200).json(resource_p)
    }
  },
  [`PUT ${api.resource}`] (req, res) {
    console.log(req.body)
    res.status(200).json({ action: true, info: 'Set rsc info success' })
  },
  [`PUT ${api.resource}/:action`] (req, res) {
    const { id, action } = req.params
    res.status(200).json({
      action: true,
      info: `${action} ${id}成功!`,
      error: 'error',
    })
  },
  [`GET ${api.rscTypes}`] (req, res) {
    res.status(200).json(rscTypes)
  },
  [`GET ${api.rscType}`] (req, res) {
    const { class: _class, type, provider } = req.params
    console.log(_class, type, provider)
    res.status(200).json(rscType)
  },
  [`POST ${api.resources}`] (req, res) {
    console.log(req.body)
    res.status(200).json({ action: true, info: 'Add resource success' })
  },
  [`GET ${api.rscAttrs}`] (req, res) {
    console.log(req.params)
    res.status(200).json(rscAttrs)
  },
  [`GET ${api.resource}/relations/:relation`] (req, res) {
    const { relation } = req.params
    switch (relation) {
      case 'location':
        res.status(200).json(rscLocation)
        // res.status(200).json({
        //   action: false,
        //   error: 'get data error',
        // })
        break
      case 'colocation':
        res.status(200).json(rscColocation)
        break
      case 'order':
        res.status(200).json(rscOrder)
        break
      default:
        res.status(404)
    }
  },
  [`GET ${api.drbdStatus}`] (req, res) {
    console.log(req.params)
    res.status(200).json(drbdStatus)
  },
}
