import { request, config } from 'utils'

const { api } = config
const { nodes, node, localnodes } = api

export async function query (params) {
  return request({
    url: nodes,
    method: 'get',
    data: params,
  })
}

export async function operate (params) {
  return request({
    url: `${node}/:action`,
    method: 'put',
    data: params,
  })
}

export async function operateLocal (params) {
  return request({
    url: `${localnodes}/:action`,
    method: 'put',
    data: params,
  })
}
