/* eslint-disable */
const config = require('../utils/config')

const { api } = config
// const qs = require('qs')

let nodes = {
  action: true,
  data: [
    {
      status: 'Master',
      ip: '10.1.110.177',
      id: 'ns187',
      is_dc: true,
    },
    {
      status: 'Not Running/Standby',
      ip: '10.1.110.178',
      id: 'ns188',
      is_dc: false,
    },
    {
      status: 'Not Running/Standby',
      ip: '10.1.110.179',
      id: 'ns189',
      is_dc: false,
    },
  ],
}

module.exports = {
  [`GET ${api.nodes}`] (req, res) {
    /*  for testing session timeout
    const cookie = req.headers.cookie || ''
    const cookies = qs.parse(cookie.replace(/\s/g, ''), { delimiter: ';' })
    if (!cookies.token) {
      res.status(403).send({ message: 'Not Login' })
      return
    } */

    res.status(200).json(nodes)
  },
  [`PUT ${api.node}/:action`] (req, res) {
    const { id, action } = req.params
    res.status(200).json({
      action: true,
      info: `${action} ${id}成功!`,
    })
  },
}
