import { request, config } from 'utils'

const { api } = config
const { userLogin, license } = api

export async function login (data) {
  return request({
    url: userLogin,
    method: 'post',
    data,
  })
}

export async function getLicense (params) {
  return request({
    url: license,
    method: 'get',
    data: params,
  })
}
